# $Revision: 1.4 $, $Date: 2010/08/26 21:27:48 $
Summary:	In-place data upgrade utility for PostgreSQL
Name:		pg_migrator
Version:	8.4.19
Release:	1
License:	BSD
Group:		Applications/Databases
Source0:	http://pgfoundry.org/frs/download.php/2698/%{name}-%{version}.tgz
# Source0-md5:	cadfaba358f73c2c6a69102d2ae67a7d
URL:		http://pgfoundry.org/projects/pg-migrator
BuildRequires:	postgresql-devel >= 8.4
Requires:	postgresql >= 8.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pg_migrator performs an in-place upgrade of existing data when
upgrading from an old release of PostgreSQL to a new release. Use
pg_migrator to avoid the typical (and painful) pg_dump/reload cycle
required by many upgrades.

%prep
%setup -q

%build
%{__make} \
	USE_PGXS=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_docdir}/%{name}-%{version},%{_libdir}}

install src/pg_migrator $RPM_BUILD_ROOT%{_bindir}
install func/pg_migrator*.so $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc DEVELOPERS IMPLEMENTATION INSTALL LICENSE README TODO
%attr(755,root,root) %{_bindir}/pg_migrator
%attr(755,root,root) %{_libdir}/pg_migrator*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pg_migrator.spec,v $
Revision 1.4  2010/08/26 21:27:48  gotar
- fixed Source0 URL and updated MD5

Revision 1.3  2010/08/26 21:24:02  gotar
- upgraded to 8.4.19, cleanup

Revision 1.2  2010/05/18 18:45:49  arekm
R postgresql fix

Revision 1.1  2010/05/18 18:44:41  arekm
- initial
